Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232682 - upgrade of system doesn't allow xm console to work anymore
Summary: upgrade of system doesn't allow xm console to work anymore
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xen Maintainance List
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 16:34 UTC by Thomas Vander Stichele
Modified: 2008-02-27 00:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-27 00:00:39 UTC


Attachments (Terms of Use)

Description Thomas Vander Stichele 2007-03-16 16:34:50 UTC
Description of problem:

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
Create a xen domain in FC5
upgrade it
reboot it
attach to it again with xm console (domain)
  
Actual results:

selinux disallows a console.  Messages show:
audit(1174062715.794:49): avc:  denied  { getattr } for  pid=2181 comm="agetty"
name="xvc0" dev=tmpfs ino=1650 scontext=system_u:system_r:getty_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=chr_file
audit(1174062725.798:50): avc:  denied  { getattr } for  pid=2189 comm="agetty"
name="xvc0" dev=tmpfs ino=1650 scontext=system_u:system_r:getty_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=chr_file
audit(1174062735.803:51): avc:  denied  { getattr } for  pid=2197 comm="agetty"
name="xvc0" dev=tmpfs ino=1650 scontext=system_u:system_r:getty_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=chr_file
audit(1174062745.807:52): avc:  denied  { getattr } for  pid=2204 comm="agetty"
name="xvc0" dev=tmpfs ino=1650 scontext=system_u:system_r:getty_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=chr_file
audit(1174062755.812:53): avc:  denied  { getattr } for  pid=2212 comm="agetty"
name="xvc0" dev=tmpfs ino=1650 scontext=system_u:system_r:getty_t:s0
tcontext=system_u:object_r:device_t:s0 tclass=chr_file
INIT: Id "co" respawning too fast: disabled for 5 minutes



Expected results:

Getting a console.

Additional info:

Should be an easy fix, but not sure where it should go ?

Comment 1 Red Hat Bugzilla 2007-07-25 00:06:39 UTC
change QA contact

Comment 2 Chris Lalancette 2008-02-27 00:00:39 UTC
This report targets FC5, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.